Subject: Re: Tags from each remote in a separate "name-space"?

From: Sergey Organov <[email-masked]>
Date: Fri, 01 Mar 2019 17:51:04 +0300

Duy Nguyen <[email-masked]> writes:
> On Thu, Feb 28, 2019 at 08:54:23AM +0300, Sergey Organov wrote:
>> Hello,
>> 
>> How do I configure git to handle tags from remotes in a manner similar
>> to branches?
>> 
>> Specifically, I want tag 'tag_name' from remote 'origin' to have local
>> name 'origin/tag_name', not 'tag_name', as it is by default. For a repo
>> with a lot of remotes[*] it would allow to keep track of what tag came from
>> where, as well as prevent name conflicts between tags from different
>> remotes (and/or local tags).
>
> On the fetch side, something like this in the config file (assuming
> "origin" remote here) probably would do
>
> [remote "origin"]
> 	fetch = +refs/tags/*:refs/tags/origin/*
> 	tagOpt = --no-tags

Thanks for the clue, Duy!

Just adding

	fetch = +refs/tags/*:refs/tags/origin/*

for each existing remote configuration seems to do the trick indeed.

Now I wonder if it would make sense to implement something like

  $ git remote add --separate-tags ...

to be able to auto-configure this.

-- 
Sergey